- Qt 5.15
- Qt 3D
- C++ Classes
- QInputSequence
- Qt 5.15.11 Reference Documentation

# QInputSequence Class

class Qt3DInput::QInputSequence

QInputSequence represents a set of QAbstractActionInput's that must be triggerd one after the other. More...

Header: | #include <QInputSequence>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | InputSequence
Inherits: | Qt3DInput::QAbstractActionInput

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- buttonInterval : int
- timeout : int

## Public Functions

| QInputSequence(Qt3DCore::QNode *parent = nullptr)
void | addSequence(QAbstractActionInput *input)
int | buttonInterval() const
void | removeSequence(QAbstractActionInput *input)
QVector<QAbstractActionInput *> | sequences() const
int | timeout() const

## Public Slots

void | setButtonInterval(int buttonInterval)
void | setTimeout(int timeout)

## Signals

void | buttonIntervalChanged(int buttonInterval)
void | timeoutChanged(int timeout)

## Detailed Description

## Property Documentation

### buttonInterval : int

The maximum time in between consecutive QAbstractActionInput's in the input sequence. The time is in milliseconds.

Access functions:

int | buttonInterval() const
void | setButtonInterval(int buttonInterval)

Notifier signal:

void | buttonIntervalChanged(int buttonInterval)

### timeout : int

The time in which all QAbstractActionInput's in the input sequence must triggered within. The time is in milliseconds.

Access functions:

int | timeout() const
void | setTimeout(int timeout)

Notifier signal:

void | timeoutChanged(int timeout)

## Member Function Documentation

### QInputSequence::QInputSequence(Qt3DCore::QNode *parent = nullptr)

Constructs a new QInputSequence with parent parent.

### void QInputSequence::addSequence(QAbstractActionInput *input)

Append the QAbstractActionInput input to the end of this QInputSequence's sequence vector.

See also removeSequence.

### int QInputSequence::buttonInterval() const

Returns the maximum time in between consecutive QAbstractActionInput's in the input sequence. The time is in milliseconds

Note: Getter function for property buttonInterval.

See also setButtonInterval().

### void QInputSequence::removeSequence(QAbstractActionInput *input)

Remove the QAbstractActionInput input from this QInputSequence's sequence vector.

See also addSequence.

### QVector<QAbstractActionInput *> QInputSequence::sequences() const

Returns the QInputSequence's sequence vector.

### int QInputSequence::timeout() const

Returns the time in which all QAbstractActionInput's in the input sequence must triggered within. The time is in milliseconds

Note: Getter function for property timeout.

See also setTimeout().